Package org.apache.qpid.proton.amqp.security

# Interface SaslFrameBody

All Known Implementing Classes:
  `SaslChallenge`, `SaslInit`, `SaslMechanisms`, `SaslOutcome`, `SaslResponse`

public interface SaslFrameBody

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`SaslFrameBody.SaslFrameBodyHandler<E>`

## Method Summary

Modifier and Type
Method
Description
`<E> void`
`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`

## Method Details

### invoke

<E> void invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)